
Redmine - Defect #11012

Custom fields (boolean and list - maybe others) not working in Task tracker

2012-05-24 04:15 - Steve Cook

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.4.1

Description

Unable to update customised fields.

This is only occurring using the 'Task' tracker. Customised fields in the Bug tracker, record data normally.

-----------------

Steps to reproduce:

1. Open New Issue

2. Select 'Task' from the trackers list

3. Update mandatory fields including custom fields (Addition to Scope; Bug Type; Review)

4. Click submit

5. 3 custom fields data is reset to defaults (blank)

Throws no error.

-----------------

Environment Deets:

Operating System

Ubuntu Linux 10.04 LTS

Database version

MySQL Ver 5.1.62-0ubuntu0.10.04.1 for debian-linux-gnu on i486 ((Ubuntu))

Ruby version

ruby 1.8.7 (2010-01-10 patchlevel 249) [i486-linux]

Rails version

Rails 2.3.14

Redmine version

1.4.1.stable

Web server info

Apache 2.2.14-5ubuntu8.9

Passenger 3.0.2

SCM binary version

git version 1.7.0.4

More information

deployer@redmine:/var/www/redmine.previousnext.com.au/current$ RAILS_ENV=production ruby script/about

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.4.2

Rack version              1.1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /var/www/redmine.previousnext.com.au/releases/20120507110721

Environment               production

Database adapter          mysql
Database schema version   20120301153455

About your Redmine plugins

Redmine Github Hook plugin                                     0.1.1

Timesheet Plugin                                               0.6.0

Boards watchers management and sticky priority levels add-on   0.1.3

Redmine Light Box plugin                                       0.0.1

Redmine Backlogs                                               v0.9.3

History

#1 - 2012-07-26 04:31 - Steve Cook

Hello,

No response to this - I'm assuming there is no support for custom fields. I would suggest turning that feature off in future updates until they function

correctly, as this has caused a lot of issues for us.

#2 - 2012-11-02 00:20 - Jean-Baptiste Barth

- Assignee set to Jean-Baptiste Barth

- Priority changed from High to Normal

- Resolution set to Cant reproduce

"Task" may not be a standard Redmine tracker, can you please try to reproduce the bug on a fresh redmine install ? If this tracker is introduced by

one of your plugins, you'd better report a bug to their own tracker. I never saw any problem with those custom fields on a standard redmine install.

Sorry for the delay, don't hesitate to tell us if you manage to track down this bug.

#3 - 2012-11-02 00:34 - Steve Cook

It's been a while for this - and it has been an ongoing issue.

We're about to port over to version 2.1 - so I'll see if this is still a problem and report back.

#4 - 2012-12-04 05:54 - Steve Cook

Just tested this again with 2.1.4 and it's functioning correctly.

You may close this up.

#5 - 2013-04-06 10:31 - Jean-Baptiste Barth

- Status changed from New to Closed

Sorry for the late answer, I'm closing this one. Thanks for your time.
